#include"TcPch.h"
#pragma hdrstop
#include"FurnaceSignalTower.h"
#include"DEVICE.h"
#include"debug.h"
FurnaceSignalTower::FurnaceSignalTower(const char* className,const char* name,const char* module):BaseDevice(className, name, module){
}
//AUTOIO_BEGIN
FurnaceSignalTower* _initSignalTower_0(){
	static FurnaceSignalTower staticSignalTower("FurnaceSignalTower","SignalTower",MODULE_NAME);
	FurnaceSignalTower::poSignalTower=&staticSignalTower;
	FurnaceSignalTower* dev=&staticSignalTower;
	strcpy(dev->id,"SignalTower");
	strcpy(dev->display,"Signal Tower");
	strcpy(dev->schematicId,"");
	dev->doRed.create("doRed",&NDO->Tri_Color_Light_Red,"NDO.Tri_Color_Light_Red",FALSE);
	dev->doYellow.create("doYellow",&NDO->Tri_Color_Light_YE,"NDO.Tri_Color_Light_YE",FALSE);
	dev->doGreen.create("doGreen",&NDO->Tri_Color_Light_GN,"NDO.Tri_Color_Light_GN",FALSE);
	dev->doBlue.create("doBlue");
	dev->doBuzzer1.create("doBuzzer1",&NDO->Tri_Color_Light_BZ,"NDO.Tri_Color_Light_BZ",FALSE);
	return dev;
}
void initFurnaceSignalTower(){
	FurnaceSignalTower* dev;
	dev=_initSignalTower_0();
}
FurnaceSignalTower* FurnaceSignalTower::poSignalTower=NULL;
//AUTOIO_END
